/**
 * 
 */
package eu.etaxonomy.taxeditor.perspective;

import org.eclipse.ui.IPageLayout;

import eu.etaxonomy.taxeditor.bulkeditor.referencingobjects.ReferencingObjectsView;
import eu.etaxonomy.taxeditor.view.detail.DetailsViewPart;
import eu.etaxonomy.taxeditor.view.supplementaldata.SupplementalDataViewPart;

/**
 * @author n.hoffmann
 *
 */
public class BulkEditing extends Default {

	/* (non-Javadoc)
	 * @see org.eclipse.ui.IPerspectiveFactory#createInitialLayout(org.eclipse.ui.IPageLayout)
	 */
	@Override
	public void createInitialLayout(IPageLayout layout) {
		
		layout.addView(DetailsViewPart.ID, IPageLayout.RIGHT, 0.5f, layout.getEditorArea());
		
		layout.addView(SupplementalDataViewPart.ID, IPageLayout.BOTTOM, 0.3f, DetailsViewPart.ID);
		
		layout.addView(ReferencingObjectsView.ID, IPageLayout.BOTTOM, 0.3f, SupplementalDataViewPart.ID);
		
		createAdditionalFolder(layout, layout.getEditorArea());
	}

}
