/**
 * 
 */
package eu.etaxonomy.taxeditor.perspective;

import org.eclipse.ui.IPageLayout;
import eu.etaxonomy.taxeditor.editor.view.uses.UsesViewPart;
import eu.etaxonomy.taxeditor.navigation.navigator.TaxonNavigator;
import eu.etaxonomy.taxeditor.view.detail.DetailsViewPart;

/**
 * Uses Class
 * @author a.theys	
 * @created mar 13, 2012
 * @version 1.0
 */
public class Uses extends Default {

	/* (non-Javadoc)
	 * @see org.eclipse.ui.IPerspectiveFactory#createInitialLayout(org.eclipse.ui.IPageLayout)
	 */
	/** {@inheritDoc} */
	@Override
	public void createInitialLayout(IPageLayout layout) {
		layout.addView(TaxonNavigator.ID, IPageLayout.LEFT, 0.25f, layout.getEditorArea());
		layout.addView(DetailsViewPart.ID, IPageLayout.RIGHT, 0.25f, layout.getEditorArea());
		layout.addView(UsesViewPart.ID, IPageLayout.BOTTOM, 0.25f, layout.getEditorArea());
		
		createAdditionalFolder(layout, layout.getEditorArea());
	}
	

}

